#### D.2.12.17 hasNumericCoeffs

Procedure from library `ring.lib` (see ring_lib).

Usage:
  hasNumericCoeffs ( rng );

Return:
  1 if rng has inexact coefficcients, 0 otherwise.

Example:

    LIB "ring.lib";
    ring r1 = integer,x,dp;
    hasNumericCoeffs(r1);
    ==> 0
    ring r2 = complex,x,dp;
    hasNumericCoeffs(r2);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.